## monasca-statsd 1.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/monasca-statsd.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/monasca-statsd.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/monasca-statsd"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/monasca-statsd"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## monasca-statsd 1.4.0

=== debian/changelog ===
monasca-statsd (1.4.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Fix up debian-branch and pristine-tar settings.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 11:31:39 -0500

monasca-statsd (1.2.0-0ubuntu1) xenial; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Oct 2016 08:54:29 -0400

=== debian/control ===
Source: monasca-statsd
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>=9), dh-python, python-all (>= 2.6.6-3~), python-setuptools,
 python-pbr
Build-Depends-Indep: python-hacking (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-nose,
                     python-six (>= 1.9.0),
Standards-Version: 3.9.8
Homepage: 
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-monasca-statsd
Architecture: all
Depends: python-six (>= 1.9.0),
         ${python:Depends},
         ${misc:Depends},
Suggests: python-monasca-statsd-doc
Description: Monasca-Statsd Python client (Python 2)
 Python Statsd library for sending statsd messages via the Monasca
 .
 This package installs the library for Python 2.

Package: python-monasca-statsd-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Monasca-Statsd Python client (common documentation)
 Python Statsd library for sending statsd messages via the Monasca
 .
 This is the common documentation package.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/monasca-statsd/tags .*/(\d[\d\.]+)\.tar\.gz

## monasca-statsd 1.5.0

=== debian/changelog ===
monasca-statsd (1.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 15:00:14 -0500

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,25 @@
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>=9), dh-python, python-all (>= 2.6.6-3~), python-setuptools,
  python-pbr
-Build-Depends-Indep: python-hacking (>= 0.11.0),
+Build-Depends-Indep: python-coverage (>= 4.0),
+                     python-hacking (>= 0.12.0),
                      python-mock (>= 2.0),
                      python-nose,
+                     python-openstackdocstheme (>= 1.5.0),
+                     python-os-testr (>= 0.8.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
+                     python-sphinx (>= 1.2.1),
+                     python-testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Homepage: 
+Homepage:
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-monasca-statsd
 Architecture: all
-Depends: python-six (>= 1.9.0),
-         ${python:Depends},
-         ${misc:Depends},
+Depends: python-six (>= 1.9.0), ${misc:Depends}, ${python:Depends}
 Suggests: python-monasca-statsd-doc
 Description: Monasca-Statsd Python client (Python 2)
  Python Statsd library for sending statsd messages via the Monasca

## monasca-statsd 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
six>=1.9.0 # MIT

=== debian/changelog ===
monasca-statsd (1.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 09:24:39 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
+                     python-sphinx (>= 1.5.1),
                      python-testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
 Homepage:

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

export PYBUILD_NAME=monasca-statsd

%:
	dh $@  --with python2 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## monasca-statsd 1.11.0

=== debian/changelog ===
monasca-statsd (1.11.0-0ubuntu1) eoan; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Train.
  * d/control, d/rules, d/copyright, d/compat: Switch to Py3-only package,
    align (Build-)Depends with upstream, and general clean up.
  * d/watch: Get tarball from pypi.debian.net.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Sep 2019 13:55:09 -0400

=== debian/control ===
Source: monasca-statsd
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-testrepository (>= 0.0.18),
Standards-Version: 4.2.1
Homepage: https://opendev.org/openstack/monasca-statsd
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/monasca-statsd
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/monasca-statsd

Package: python3-monasca-statsd
Architecture: all
Depends:
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-monasca-statsd-doc,
Description: Monasca Statsd python library
 Monasca is an open-source multi-tenant, highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack.
 .
 This package provides the python statsd library for sending statsd messages via the
 Monasca Agent.

Package: python-monasca-statsd-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Monasca Statsd documentation
 Monasca is an open-source multi-tenant, highly scalable, performant, fault-tolerant
 monitoring-as-a-service solution that integrates with OpenStack.
 .
 This package provides the documentation.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/monasca-statsd/monasca-statsd-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## monasca-statsd 2.1.0+git2021012911.ed2c0d2

=== debian/changelog ===
monasca-statsd (2.1.0+git2021012911.ed2c0d2-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 11:50:55 -0500

## monasca-statsd 2.2.0

=== debian/changelog ===
monasca-statsd (2.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Apr 2021 08:20:21 -0400

=== debian/control ===
--- 
+++ 
@@ -11,23 +11,23 @@
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
- python3-six (>= 1.10.0),
+ python3-six (>= 1.12.0),
  python3-stestr (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
 Standards-Version: 4.2.1
 Homepage: https://opendev.org/openstack/monasca-statsd
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/monasca-statsd
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/monasca-statsd
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/monasca-statsd
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/monasca-statsd
 
 Package: python3-monasca-statsd
 Architecture: all
 Depends:
- python3-six (>= 1.10.0),
+ python3-six (>= 1.12.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

export PYBUILD_NAME=monasca-statsd

%:
	dh $@ --with python3 --buildsystem=pybuild
